% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/genetic.R
\name{additive_genetic}
\alias{additive_genetic}
\title{Build an additive_genetic model}
\usage{
additive_genetic(pedigree, incidence)
}
\arguments{
\item{pedigree}{object of class 'pedigree'}

\item{incidence}{matrix-like object}
}
\value{
A list with elements \code{pedigree}, \code{incidence.matrix},
  \code{structure.matrix} and \code{structure.type}, which is a string
  indicating either \code{covariance} or \code{precision}.
}
\description{
Check conformity of arguments and return a \code{additive_genetic} object.
}
\examples{
ped <- pedigreemm::pedigree(sire = c(NA,NA,1, 1,4,5),
                            dam  = c(NA,NA,2,NA,3,2),
                            label= 1:6)
inc <- cbind(0, 0, diag(4))
breedR:::additive_genetic(ped, inc)
}
