% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/genetic.R
\name{additive_genetic_animal}
\alias{additive_genetic_animal}
\title{Build an additive-genetic animal model}
\usage{
additive_genetic_animal(pedigree, idx)
}
\arguments{
\item{pedigree}{object of class 'pedigree'}

\item{idx}{integer vector of observed individuals (in the original
codification)}
}
\value{
A list with elements \code{pedigree}, \code{incidence.matrix}, 
  \code{structure.matrix} and \code{structure.type}, which is a string 
  indicating either \code{covariance} or \code{precision}.
}
\description{
Given a pedigree, and an index vector of observations, build and 
\code{additive_genetic_animal} model.
}
\details{
\code{idx} must hold the index of observed individuals in the original 
codification. If recoding took place when building the pedigree, this
function will convert the codes internally.
}
\examples{
dat <- data.frame(id = 1:4,
                  sire = c(11, 11, 2, 3),
                  dam  = c(12, NA, 1, 12))
ped <- build_pedigree(1:3, data = dat)
breedR:::additive_genetic_animal(ped, dat$id)
}
