% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splines.R
\name{bispline_incidence}
\alias{bispline_incidence}
\title{Incidence Matrix of Bidimensional Splines}
\usage{
bispline_incidence(knots, xx, ord, sparse)
}
\arguments{
\item{knots}{list with numeric vectors of knot positions with non-decreasing 
values for each dimension}

\item{xx}{2-column matrix of coordinates at which to evaluate the 
bidimensional splines}

\item{ord}{integer order of the spline functions (equals degree + 1)}

\item{sparse}{logical indicating if the result should be given in sparse 
format}
}
\description{
Compute the incidence matrix as a tensor product of B-spline bases, given the
knots, coordinates and order.
}
\details{
Need at least 2*ord -1 knots (typically, 7) but in fact, we need at least 
2*ord unless we set outer.ok = TRUE in splineDesign (which we do not want)
}
\references{
\strong{Eilers, P H C and B D Marx (2003)}. Multivariate calibration with
  temperature interaction using two-dimensional penalized signal regression.
  \emph{Chemometrics and Intelligent Laboratory Systems} 66(2), 159-174.
}
