% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ar.R
\name{breedr_ar}
\alias{breedr_ar}
\title{Build an autoregressive model}
\usage{
breedr_ar(coordinates, rho, autofill = TRUE, ...)
}
\arguments{
\item{coordinates}{matrix(-like) of observation coordinates}

\item{rho}{numeric. Vector of length two with the autocorrelation parameter 
in each dimension, with values in the open interval (-1, 1).}

\item{autofill}{logical. If \code{TRUE} (default) it will try to fill gaps in
the rows or columns. Otherwise, it will treat gaps the same way as adjacent
rows or columns.}

\item{...}{Not used.}
}
\value{
a list with
- the autocorrelation parameters
- the coordinates original coordinates as a data frame
- the incidence matrix (encoded as a vector)
- the covariance matrix (of the full grid, in triplet form)
}
\description{
Given the coordinates of the observations, the autocorrelation parameters
and the autofill logical value, computes the incidence 
matrix B and the covariance matrix U
}
