% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/binaries.R
\name{check_progsf90}
\alias{check_progsf90}
\title{Checks installation of PROGSF90 binaries}
\usage{
check_progsf90(path = breedR.getOption("breedR.bin"),
  platform = breedR.os.type(), quiet = !interactive())
}
\arguments{
\item{path}{directory to check for the presence of binaries. Default is
defined in the package options, and it depends on the platform.}

\item{platform}{Either "linux", "windows" or "mac". Default is
current platform.}

\item{quiet}{if TRUE, it won't ask whether to install missing binaries.}
}
\description{
Checks whether the binary dependencies are installed in the right directory. 
If not, allows calling the installer
}
\details{
This function does not check whether the binaries are for the right platform 
or architecture. It only checks the presence of files with the expected 
names.
}
