% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splines.R
\name{determine.n.knots}
\alias{determine.n.knots}
\title{Determine a sensible number of knots}
\usage{
determine.n.knots(n, cutoff = 4, rate = 0.3)
}
\arguments{
\item{n}{an integer vector of sample sizes}

\item{cutoff}{a numeric vector of cutoff values}

\item{rate}{a numeric vector of rates at which the number of knots increases with
the sample size}
}
\value{
An integer vector with the number of knots for each sample size
}
\description{
This function computes a reasonable number of inner knots to be used for a 
basis of unidimensional B-splines
}
\references{
\strong{Ruppert, D. (2002)}. Selecting the number of knots for penalized 
  splines. \emph{Journal of Computational and Graphical Statistics} 11, 
  735–757.
}
