% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splines.R
\name{distribute_knots_uniformgrid}
\alias{distribute_knots_uniformgrid}
\title{Distribute knots uniformly in a grid}
\usage{
distribute_knots_uniformgrid(coordinates, n.knots, autofill)
}
\arguments{
\item{coordinates}{matrix(-like) of observation coordinates}

\item{n.knots}{numeric. Vector of length two with an integer number of knots 
in each dimension.}

\item{autofill}{logical. If \code{TRUE} (default) it will try to fill gaps in
the rows or columns. Otherwise, it will treat gaps the same way as adjacent
rows or columns.}
}
\description{
For each dimension, places the given number of knots evenly spaced covering 
the range of coordinates plus a small margin.
}
\details{
The margin is calculated as half the median separation between observations. 
Furthermore, three more knots are added with equal spacing at each side, for
each dimension.
}
