% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/remlf90-class.R
\name{fixef}
\alias{fixef}
\alias{fixef.remlf90}
\alias{fixed.effects}
\alias{fixef.breedR}
\title{Extract fixed-effects estimates}
\usage{
\method{fixef}{remlf90}(object, ...)
}
\arguments{
\item{object}{any fitted model object from which fixed effects estimates can
be extracted.}

\item{\dots}{not used}
}
\value{
a named list of dataframes with the estimated coefficients and their
  standard error
}
\description{
Extract the fixed-effects estimates
}
\details{
Extract the estimates of the fixed-effects parameters from a fitted model.
}
\examples{
    res <- remlf90(phe_X ~ gg + bl, data = globulus)
    fixef(res)
}
\keyword{models}
