% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllGeneric.R, R/get_pedigree.R
\name{get_pedigree}
\alias{get_pedigree}
\alias{get_pedigree.metagene}
\alias{get_pedigree.remlf90}
\alias{get_pedigree.breedr_modelframe}
\alias{get_pedigree.effect_group}
\alias{get_pedigree.genetic}
\title{Get the Pedigree from an object}
\usage{
get_pedigree(x, ...)

\method{get_pedigree}{metagene}(x, ...)

\method{get_pedigree}{remlf90}(x, ...)

\method{get_pedigree}{breedr_modelframe}(x, ...)

\method{get_pedigree}{effect_group}(x, ...)

\method{get_pedigree}{genetic}(x, ...)
}
\arguments{
\item{x}{object to extract pedigree from}

\item{...}{Arguments to be passed to methods.}
}
\description{
Returns an object from the formal class \code{pedigree}.
}
\section{Methods (by class)}{
\itemize{
\item \code{metagene}: Get the pedigree from a \code{metagene} object

\item \code{remlf90}: Get the pedigree from a remlf90 object

\item \code{breedr_modelframe}: Get the pedigree from a breedr_modelframe object.
Internal function.

\item \code{effect_group}: Get the pedigree from a effect_group object.
Internal function.

\item \code{genetic}: Get the pedigree from a \code{genetic} object
}}

\references{
\code{\link[pedigreemm]{pedigree-class}} from package
  \code{pedigreemm}
}
\seealso{
Other metagene: \code{\link{Extract.metagene}},
  \code{\link{get_ntraits}}, \code{\link{ngenerations}},
  \code{\link{nindividuals}}
}
\concept{genetic}
\concept{metagene}
