% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllGeneric.R, R/get_structure.R
\name{get_structure}
\alias{get_structure}
\alias{get_structure.breedR}
\alias{get_structure.effect_group}
\alias{get_structure.breedr_effect}
\title{Covariance structure of a breedR component}
\usage{
get_structure(x)

\method{get_structure}{breedR}(x)

\method{get_structure}{effect_group}(x)

\method{get_structure}{breedr_effect}(x)
}
\arguments{
\item{x}{A \code{breedr_effect}.}
}
\description{
This generic function returns the covariance or precision matrix of a breedR 
random effect or a group of effects.
}
\details{
For \code{effect_group}s, it returns the common structure of all the elements
in the group.
}
\section{Methods (by class)}{
\itemize{
\item \code{breedR}: Return the structure matrices of all structured random effects

\item \code{effect_group}: Check that all elements share the same structure
and return it.

\item \code{breedr_effect}: Return the structure matrix with an attribute
indicating its \code{type}.
}}

