% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/competition.R
\name{permanent_environmental_competition}
\alias{permanent_environmental_competition}
\title{Build an permanent-environmental competition model}
\usage{
permanent_environmental_competition(coordinates, decay, autofill = TRUE)
}
\arguments{
\item{coordinates}{two-column matrix-like set of row and column coordinates 
of observational units}

\item{decay}{numeric. The positive value of the decay parameter \eqn{\alpha}.
Typically 1 or 2. See Details.}

\item{autofill}{logical. If TRUE (default) it will try to fill missing rows
or columns with missing observations. Otherwise, will treat individuals as
neighbours even if they are across an empty line.}
}
\value{
An object inheriting from \code{\link{competition}} with the
  incidence and structure matrices for the random effect.
}
\description{
Given the coordinates of observations, and the competition decay parameter, 
build a \code{permanent_environmental_competition} model.
}
\examples{
dat <- data.frame(id   = 1:5,
                  sire = c(11, 11, 2, 3, 2),
                  dam  = c(12, NA, 1, 12, 1),
                  x    = c(rep(1:2, times = 2), 3),
                  y    = c(rep(1:2, each = 2), 3))
breedR:::permanent_environmental_competition(coord = dat[, c('x', 'y')], decay = 2)
}
