% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/progsf90.R
\name{pf90_code_missing}
\alias{pf90_code_missing}
\title{Determine a numeric code for missing observations}
\usage{
pf90_code_missing(x)
}
\arguments{
\item{x}{a numeric vector.}
}
\description{
This function returns a code outside the range of variation of the observed values.
}
\details{
If the range of variation strictly excludes zero, then it is used as the code
for missing observations (which is the default code in PROGSF90). Otherwise, 
returns 1 - the second power of 10 greater than the maximum observed 
magnitude. This ensures a code an order of magnitude greater than the
observed values. E.g., for observations in the range -40 -- 28, the code is
-999.
}
\examples{
  breedR:::pf90_code_missing(rnorm(100))
}
