% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/progsf90.R
\name{pf90_default_heritability}
\alias{pf90_default_heritability}
\title{Default formula for heritability}
\usage{
pf90_default_heritability(rglist, traits = NULL, quiet = FALSE)
}
\arguments{
\item{rglist}{list of random groups in the parameters of a
\code{\link{progsf90}} object}

\item{traits}{A character vector with trait names, or NULL for single trait.}

\item{quiet}{logical. If FALSE, the function issues a message when it fails
to build a formula.}
}
\value{
A character vector with one option specification per trait.
}
\description{
If all random effects are independent, and there is an additive-genetic
effect, computes a default formula in PROGSF90 notation by dividing the
genetic variance by the sum of all variance components plus the residual
variance.
}
\references{
http://nce.ads.uga.edu/wiki/doku.php?id=readme.aireml#options
}
