% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/remlf90-class.R
\name{ranef}
\alias{ranef}
\alias{ranef.remlf90}
\alias{ranef.breedR}
\title{Extract the modes of the random effects}
\usage{
\method{ranef}{remlf90}(object, ...)
}
\arguments{
\item{object}{a fitted models with random effects of class 
\code{\link{remlf90}}.}

\item{...}{not used}
}
\value{
An object of class \code{ranef.breedR} composed of a list of vectors 
  or matrices (multitrait case), one for each random effect. The length of
  the vectors are the number of levels of the corresponding random effect.
  
  Each random effect has an attribute called \code{"se"} which is a vector 
  with the standard errors.
  
  Additionally, depending of the nature of the random effect, there may be 
  further attributes. The pedigree will be given for genetic random effects 
  and the spatial prediction grid for the spatial random effects
}
\description{
Extract the conditional modes of the random effects from a fitted model 
object.  For linear mixed models the conditional modes of the random effects
are also the conditional means.
}
\details{
This method is modeled a bit after \code{\link[lme4]{ranef}}. However, it is
independent and does not inherit from it. In particular, it always returns
the conditional variance (argument condVar in lme4).
}
\note{
To produce a (list of) \dQuote{caterpillar plots} of the random effects
  apply \code{\link{plot}} to the result of a call to \code{ranef}.
}
\examples{
res <- remlf90(phe_X ~ bl,
               genetic = list(model = 'add_animal',
                              pedigree = globulus[, 1:3],
                              id = 'self'),
               data = globulus)
str(rr <- ranef(res))
plot(rr)
}
