% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/renderpf90.R
\name{renderpf90.matrix}
\alias{renderpf90.matrix}
\title{Render a sparse matrix into non-zero values and column indices}
\usage{
\method{renderpf90}{matrix}(x)
}
\arguments{
\item{x}{object of class breedr_modelframe, effect_group or breedr_effect.}
}
\value{
A matrix with a number of columns equal to twice the maximum number of
  non-zero elements in one row. The first half of the columns are the 
  non-zero values (except for filling-in) while the second half are the 
  column indices.
  
  For indicator matrices (i.e. each row has at most one non-zero value of 1),
  it returns a one-column matrix of the corresponding column indices.
}
\description{
This function provides a representation of a sparse matrix suited to 
progsf90.
}
\details{
For each row, it keeps the non-zero elements and their respective column 
index. The gaps are filled with zeros.
}
\seealso{
Other renderpf90: \code{\link{renderpf90}}
}
\concept{renderpf90}
