% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllGeneric.R
\name{sim.spatial}
\alias{sim.spatial}
\title{Simulate a spatial structure}
\usage{
sim.spatial(meta, variance, range, ...)
}
\arguments{
\item{meta}{A metagene object}

\item{variance}{A number between 0 and 1. The variance of the spatial field 
as a proportion of the non-inheritable phenotypic variance. See Details.}

\item{range}{A number between 0 and 1. The range of the spatial field, as a 
proportion of the region size.}

\item{...}{Arguments to be passed to methods.}
}
\value{
Another metagene object with spatial structure given through an 
  additional column \code{sp_X} with the spatially structured component of 
  the phenotype, and a 'spatial' list element with coordinates and simulation
  information
}
\description{
Takes a metagene simulated dataset and distributes its individuals randomly 
into a more or less square spatial region. Furthermore, it takes part of the 
phenotypic noise and puts some spatial structure into it.
}
\details{
Founders are not put into place, as they don't have phenotypic values. 
Therefore, they are returned without coordinates nor spatial values.

The variance of the spatial field is given as a proportion of the variance of
the random noise that was added to the Breeding Values to produce the 
phenotypes. The phenotypes are afterwards recalculated to preserve the 
heritability.

The spatial unit is the distance between consecutive trees.
}
